curl --request GET \
--url 'https://api.bizconnectpay.com/api/v1/transactions?status=COMPLETED¤cy=XAF&per_page=25' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <access_token>'
{
"success": true,
"data": {
"current_page": 1,
"data": [
{
"id": "26226880-a6ea-4f91-8a6e-303fa77fe311",
"reference": "BCP-TXN-01JAC92Y",
"operation": "COLLECTION",
"amount": "15000.0000",
"fee_amount": "300.0000",
"net_amount": "14700.0000",
"currency": "XAF",
"country": "CM",
"environment": "LIVE",
"status": "COMPLETED",
"completed_at": "2026-10-20T12:31:18.000000Z",
"created_at": "2026-10-20T12:30:00.000000Z"
}
],
"per_page": 25,
"total": 1
},
"meta": {
"correlation_id": "987c6685-6a7c-4608-83d8-7fe49e309d5e"
}
}
Transactions
Lister les transactions
Filtrez et parcourez les transactions du compte authentifié.
GET
/
transactions
curl --request GET \
--url 'https://api.bizconnectpay.com/api/v1/transactions?status=COMPLETED¤cy=XAF&per_page=25' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <access_token>'
{
"success": true,
"data": {
"current_page": 1,
"data": [
{
"id": "26226880-a6ea-4f91-8a6e-303fa77fe311",
"reference": "BCP-TXN-01JAC92Y",
"operation": "COLLECTION",
"amount": "15000.0000",
"fee_amount": "300.0000",
"net_amount": "14700.0000",
"currency": "XAF",
"country": "CM",
"environment": "LIVE",
"status": "COMPLETED",
"completed_at": "2026-10-20T12:31:18.000000Z",
"created_at": "2026-10-20T12:30:00.000000Z"
}
],
"per_page": 25,
"total": 1
},
"meta": {
"correlation_id": "987c6685-6a7c-4608-83d8-7fe49e309d5e"
}
}
Les filtres sont facultatifs. Utilisez
per_page pour limiter la taille de la réponse.
curl --request GET \
--url 'https://api.bizconnectpay.com/api/v1/transactions?status=COMPLETED¤cy=XAF&per_page=25' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <access_token>'
{
"success": true,
"data": {
"current_page": 1,
"data": [
{
"id": "26226880-a6ea-4f91-8a6e-303fa77fe311",
"reference": "BCP-TXN-01JAC92Y",
"operation": "COLLECTION",
"amount": "15000.0000",
"fee_amount": "300.0000",
"net_amount": "14700.0000",
"currency": "XAF",
"country": "CM",
"environment": "LIVE",
"status": "COMPLETED",
"completed_at": "2026-10-20T12:31:18.000000Z",
"created_at": "2026-10-20T12:30:00.000000Z"
}
],
"per_page": 25,
"total": 1
},
"meta": {
"correlation_id": "987c6685-6a7c-4608-83d8-7fe49e309d5e"
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 100Required string length:
3Available options:
SANDBOX, LIVE Maximum string length:
120